-- 
-- Voilà les modifications à effectuer sur chaque base pour passer de Cahier de
-- Prépa 2.2.0 à Cahier de Prépa 3.0.0.
-- 

DELETE FROM infos WHERE auto != '';
UPDATE infos SET page = page+1 ORDER BY page DESC;
UPDATE pages SET id = id+1 ORDER BY id DESC;
UPDATE matieres SET cdt = cdt - MOD(cdt,2) + IF((SELECT id FROM cdt WHERE matiere = matieres.id AND cache = 0 LIMIT 1),1,0);
UPDATE matieres SET colles = colles - MOD(colles,2) + IF((SELECT id FROM colles WHERE matiere = matieres.id AND cache = 0 LIMIT 1),1,0);
UPDATE matieres SET docs = (SELECT IF(nbfic+nbrep,1,0) FROM reps WHERE parent=0 AND matiere = matieres.id);
ALTER TABLE utilisateurs CHANGE matiere matieres VARCHAR( 15 ) NOT NULL;
ALTER TABLE utilisateurs ADD protection TINYINT( 1 ) UNSIGNED NOT NULL;
ALTER TABLE docs CHANGE id id SMALLINT( 4 ) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE infos CHANGE id id SMALLINT( 4 ) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE infos DROP auto;

CREATE TABLE recents (
  id smallint(5) unsigned NOT NULL PRIMARY KEY,
  heure datetime NOT NULL,
  titre varchar(50) NOT NULL,
  lien varchar(20) NOT NULL,
  texte text NOT NULL,
  KEY heure (heure)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- 
-- Voilà les modifications à effectuer sur chaque base pour passer de Cahier de
-- Prépa 3.0.0 à Cahier de Prépa 3.0.1.
-- 

ALTER TABLE recents CHANGE titre titre VARCHAR( 200 ) NOT NULL;

-- 
-- Voilà les modifications à effectuer sur chaque base pour passer de Cahier de
-- Prépa 3.0.1 à Cahier de Prépa 3.0.2.
-- 

ALTER TABLE reps CHANGE nbfic nbdoc_v TINYINT( 2 ) UNSIGNED NOT NULL;
ALTER TABLE reps ADD nbdoc_nv TINYINT( 2 ) UNSIGNED NOT NULL;
UPDATE reps SET nbdoc_nv = ( SELECT COUNT(docs.id) FROM docs WHERE docs.parent = reps.id AND docs.protection = 2 );
