<?php
// Sécurité : ne doit pas être exécuté s'il n'est pas lancé par un script autorisé
if ( !defined('OK') )  exit();

// Gestion de la connexion
// $lecteur est faux par défaut. Si l'utilisateur a bien rempli le formulaire
//  précédemment, $lecteur devient vrai et on retourne au script appelant.
//  Sinon, on affiche un formulaire à la place du contenu prévu.
if ( isset($_REQUEST['login']) && isset($_REQUEST['motdepasse']) )  {

  // Récupération des logins/mdp dans la base MySQL et comparaison
  // Tous les logins/mdp sont autorisés
  // Attention : la connexion MySQL doit être établie par le script appelant
  $resultat = $mysqli->query('SELECT nom, mdp FROM utilisateurs');
  while ( $r = $resultat->fetch_assoc() )
    if ( ( $r['nom'] == $_REQUEST['login'] ) && ( $r['mdp'] == sha1($_REQUEST['motdepasse']) ) )  {
      $lecteur = true;
      break;
    }
  $resultat->free();

  // Si connexion, génération de $_SESSION pour reconnaissance ultérieure
  if ( $lecteur )  {
    // Interdiction de garder son identifiant de session
    session_regenerate_id(true);
    $_SESSION = array();
    // Interdiction de pouvoir se connecter aux autres site sur le même serveur
    $_SESSION[md5("$site-lecture")] = true;
    // Pour vérification aux connexions ultérieures
    $_SESSION['client'] = $_SERVER['HTTP_USER_AGENT'];
    $_SESSION['ip'] = $_SERVER['REMOTE_ADDR'];
    $_SESSION['login'] = $_POST['login'];
    $_SESSION['time'] = time()+3600;
    session_write_close();
    
    // Retour au script appelant
    return;
  }
  else
    $message2 = 'Ce login/mot de passe n\'est pas correct&nbsp;!';
}

// Message par défaut
if ( !isset($message2) )
  $message2 = "Ce contenu est protégé. Vous devez vous connecter pour l'afficher.";

////////////
/// HTML ///
////////////

// Haut de page, menu et message ($p et $t doivent avoir été définis dans le script appelant)
include('haut.php');
$mysqli->close();

// Spécifique pour docs.php : répertoires parents
if ( isset($parents) )
  echo $parents;

echo "\n<p class=\"warning\">$message2</p>\n";
?>

<form class="warning" action="" method="post">
  <p class="ligne"><label for="login">Identifiant&nbsp;: </label><input type="text" name="login" id="login"></p>
  <p class="ligne"><label for="motdepasse">Mot de passe&nbsp;: </label><input type="password" name="motdepasse" id="motdepasse"></p>
  <p><input type="submit" name="Ok" value="Envoyer"></p>
</form>

<?php
// Bas de page
include('bas.php');
exit();
?>
